org.apache.tapestry5.internal.services

## Class PageActivationContextCollectorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.services.PageActivationContextCollectorImpl

- All Implemented Interfaces:
    PageActivationContextCollector

      public class PageActivationContextCollectorImpl
      extends Object
      implements PageActivationContextCollector

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageActivationContextCollectorImpl(TypeCoercer typeCoercer, RequestPageCache requestPageCache, ComponentModelSource modelSource)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `collectPageActivationContext(String pageName)` Fires the passivate event and collects the response, which is coerced to an object array.
    `void` | `setupInvalidation(InvalidationEventHub invalidationEventHub)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PageActivationContextCollectorImpl

          public PageActivationContextCollectorImpl(TypeCoercer typeCoercer,
                                                    RequestPageCache requestPageCache,
                                                    ComponentModelSource modelSource)

  - ### Method Detail

    - #### setupInvalidation

          @PostInjection
          public void setupInvalidation(@ComponentClasses
                                                       InvalidationEventHub invalidationEventHub)

    - #### collectPageActivationContext

          public Object[] collectPageActivationContext(String pageName)

      Description copied from interface: `PageActivationContextCollector`
      Fires the passivate event and collects the response, which is coerced to an object array. A page that does not have an event handler for the passivate event will return an empty array.
      Specified by:
        `collectPageActivationContext` in interface `PageActivationContextCollector`
      Parameters:
        `pageName` - to collect context from ; this should be the canonical page name
      Returns:
        the activation context, or an empty array of the page does not provide a context

5.6.1 - Copyright © 2003-2020 The Apache Software Foundation.